﻿@using Xtoman.Domain.Models
@model ExchangeOrderSearchTerms

@{
    ViewBag.Title = "لیست سفارش های تبادل ارز";
    var CurrencyTypes = (List<SelectListItem>)ViewBag.CurrencyTypes;
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            @Html.ActionLink("افزودن سفارش جدید", "Add", null, new { @class = "btn btn-primary" })
            <button class="btn btn-secondary" type="button" data-toggle="collapse" data-target="#searchCollapse" aria-expanded="false" aria-controls="searchCollapse">
                <i class="fa fa-plus"></i> جستجوی پیشرفته
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="box box-default box-solid collapsed-box">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                </div>
                <!-- /.box-tools -->
            </div>
            <div id="searchCollapse" class="collapse">
                @using (Ajax.BeginForm("Search", null, new AjaxOptions
                {
                    HttpMethod = "Get",
                    InsertionMode = InsertionMode.Replace,
                    UpdateTargetId = "list-div",
                    LoadingElementId = "loading-list",
                    Url = Url.Action("Search"),
                    OnSuccess = "onSuccess"
                }, new { id = "search-form" }))
                {
                    <input name="page" type="hidden" id="page-number" />
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })
                    <hr />
                    <div class="row">
                        @*<div class="col-xs-6 col-md-3">
            <div class="form-group">
                @Html.LabelFor(model => model.FromOrderDate)
                @Html.TextBoxFor(model => model.FromOrderDate, new { @class = "form-control date-picker", dir = "ltr", placeholder = "همه" })
            </div>
        </div>
        <div class="col-xs-6 col-md-3">
            <div class="form-group">
                @Html.LabelFor(model => model.ToOrderDate)
                @Html.TextBoxFor(model => model.ToOrderDate, new { @class = "form-control date-picker", dir = "ltr", placeholder = "همه" })
            </div>
        </div>*@
                        <div class="col-xs-6 col-md-4">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Text)
                                @Html.TextBoxFor(model => model.Text, new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.ExchangeTypeFromCurrencyTypeId)
                                @Html.DropDownListFor(model => model.ExchangeTypeFromCurrencyTypeId, CurrencyTypes, "همه", new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.ExchangeTypeToCurrencyTypeId)
                                @Html.DropDownListFor(model => model.ExchangeTypeToCurrencyTypeId, CurrencyTypes, "همه", new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.PaymentStatus)
                                <select id="PaymentStatus" name="PaymentStatus" class="form-control">
                                    <option value="">همه</option>
                                    @foreach (PaymentStatus paymentStatus in (PaymentStatus[])Enum.GetValues(typeof(PaymentStatus)))
                                    {
                                        <option value="@paymentStatus.ToInt()">@paymentStatus.ToDisplay()</option>
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.OrderStatus)
                                <select id="OrderStatus" name="OrderStatus" class="form-control">
                                    <option value="">همه</option>
                                    @foreach (OrderStatus orderStatus in (OrderStatus[])Enum.GetValues(typeof(OrderStatus)))
                                    {
                                        <option value="@orderStatus.ToInt()">@orderStatus.ToDisplay()</option>
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.FromId)
                                @Html.TextBoxFor(model => model.FromId, new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.ToId)
                                @Html.TextBoxFor(model => model.ToId, new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                <label for="pageSize">تعداد نمایش در هر صفحه</label>
                                <select class="form-control" id="pageSize" name="pageSize">
                                    <option value="10">10</option>
                                    <option value="30" selected>30</option>
                                    <option value="50">50</option>
                                    <option value="100">100</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-2">
                            <div class="form-group">
                                @Html.LabelFor(model => model.UserIsPhisher)
                                <select id="UserIsPhisher" name="UserIsPhisher" class="form-control">
                                    <option value="">همه</option>
                                    <option value="0">به غیر از سفارش های فیشینگ</option>
                                    <option value="1">فقط سفارش های فیشینگ</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-success">جستجو <span class="fa fa-search"></span></button>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<hr />
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">سفارش‌های تبادل ارز</h4>
        <button onclick="refresh()" class="pull-left">
            <i class="fa fa-refresh"></i>
        </button>
    </div>
    <div class="box-body pad" style="overflow-x: scroll; text-align: center">
        <i id="loading-list" style="display: none" class="fa fa-fw fa-spinner fa-pulse fa-lg"></i>
        <div id="list-div">

        </div>
    </div>
</div>

@section scripts{
    @Scripts.Render("~/js/jqueryajax")
    <script>
        $(document)
            .on("click",
            "#contentPager a",
            function () {
                var str = $(this).attr("href").split("?")[1];
                var pageNumber = 1;
                if (str != null) {
                    pageNumber = str.split("&")[0].split("=")[1];
                }
                $('#page-number').val(pageNumber);
                $('#search-form').submit();
                return false;
            });
        $(document).ready(function () {
            refresh();
            setInterval(refresh, 60000);
        });

        function onSuccess() {
            $('[data-toggle="tooltip"]').tooltip();
        }

        function refresh() {
            $('#search-form').submit();
        }
    </script>
}